package openchat.server;

import java.io.*;
import java.net.*;
import openchat.bd.Mysql;

public class SendMessage
{
	private Mysql BD;
	private String Token="###";
		
	public SendMessage(String HostMysql, String PortMysql)
	{
		BD = new Mysql(HostMysql,PortMysql);
	}
	
	public boolean SendTo (int IdFrom, int IdTo, String Message)
	{
		
		boolean Resul = false;
		try
		{	if(BD.ExistUser(IdTo))
			if(!BD.ReturnUserIp(IdTo).equals("0"))	//user receive is online?
			{
				String IpTo = BD.ReturnUserIp(IdTo);
				int PortTo = BD.ReturnUserPort(IdTo);
				
				//System.out.println("ola"+IpTo+PortTo);
				
				Socket MSG = new Socket(IpTo,PortTo);
				
				PrintWriter Send = new PrintWriter(MSG.getOutputStream());
				
				Send.println("NewMessage"+Token+IdFrom+Token);
				//Send.flush();
				System.out.println("SENDMESSAGE :: "+IdFrom+"    "+Message);
				Send.println(Message);
				Send.flush();
				
			
				Send.close();
				Send = null;
				MSG.close();
				MSG = null;
				Resul = true;
			}
		}
		catch(IOException E)
		{
			System.out.println("erro ao enviar messagem");
			System.out.println(E.getMessage());
		}
		return Resul;
	}
	
}